import 'dart:async';
import 'package:flutter/services.dart';

class IbhaanAes {
  static const MethodChannel _channel =
      const MethodChannel('ibhaan_aes');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
  static Future<String> doDecrypt(String stringToDecrypt,String key,String iv) async {
    final decryptedString = await _channel.invokeMethod("doDecrypt", <String, dynamic>
    {
      "stringToDecrypt": stringToDecrypt,
      "key": key,
      "iv":iv,
    });
    return decryptedString;
  }
}
