import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:ibhaan_aes/ibhaan_aes.dart';

void main() {
  const MethodChannel channel = MethodChannel('ibhaan_aes');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await IbhaanAes.platformVersion, '42');
  });
}
